curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"body": "<string>",
"name": "<string>",
"subject": "<string>",
"type": "JobAssigned",
"bccAddress": "<string>",
"ccAddress": "<string>",
"id": "<string>",
"uid": "<string>"
}Get email template default text
Requires an internal user role (Admin or Project Manager). Returns the built-in default name/subject/body for the given type, not the organization’s saved customization of it; the returned id/uid are empty since this template is not persisted. Useful as a starting point for creating a new template or resetting one to its default text.
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/emailTemplates/types/{templateType}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"body": "<string>",
"name": "<string>",
"subject": "<string>",
"type": "JobAssigned",
"bccAddress": "<string>",
"ccAddress": "<string>",
"id": "<string>",
"uid": "<string>"
}Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Email template type. Use the /types endpoint to retrieve allowed values
Response
OK
An organization email template, as returned by the email template endpoints
Email body content
Name of the email template
Email subject line
Email template type. The LoginInfo value is deprecated.
JobAssigned, JobStatusChanged, NextWorkflowStep, JobRejected, LoginInfo, ProjectTransferredToBuyer, SharedProjectAssigned, SharedProjectStatusChanged, AutomatedProjectCreated, AutomatedProjectSourceUpdated, AutomatedProjectStatusChanged, JobWidgetProjectQuotePrepared, JobWidgetProjectQuotePreparationFailure, JobWidgetProjectCreated, JobWidgetProjectCompleted, CmsQuoteReady, CmsWorkCompleted, CmsJobRejected, QUOTE_UPDATED, QUOTE_STATUS_CHANGED, LQA_SHARE_REPORT, PLATFORM_WORK_COMPLETED, PLATFORM_WORK_DECLINED, PLATFORM_WORK_NEW, UserMentionOrComment, ProjectNewReference Comma-separated BCC email addresses or macros (e.g. {sender.email})
Comma-separated CC email addresses or macros (e.g. {sender.email})
Internal numeric identifier, encoded as a string
Unique identifier used in API paths
Was this page helpful?